server:
  port: 8080

spring:
  application:
    name: mttEditique
  config:
    activate:
      on-profile: dev

  # Databasse PostgreSQL
  datasource:
    url: 'jdbc:postgresql://localhost:5432/editique'
    username: editique
    password: editique
  jpa:
    show-sql: true
    properties:
      hibernate:
        ddl-auto: none
        default_schema: editique
        jdbc:
          lob:
            non_contextual_creation: true
        dialect: org.hibernate.dialect.PostgreSQLDialect
  servlet:
    multipart:
      max-file-size: 10GB
      max-request-size: 10GB

  # Liquibase
  liquibase:
    change-log: /db/changelog/changelog-master.xml
    default-schema: editique
    contexts: dev, faker

provider:
  proxy: "rie-proxy.justice.gouv.fr"
  opentext:
    otds-url: "https://poc-mdljcn.eimdemo.com/otds"
    otds-tenant-path: "/otdstenant/"
    oath2-client-id: "Exstream"
    grant-type: "password"
    username: "tenantadmin"
    password: "pocdemo"
    oauth2-client-id: "Exstream"
    client-id: ${oauth2-client-id}
    scope: "search otds:groups"
    ex-orc-url: "https://poc-mdljcn.eimdemo.com/orchestration"
    exstream-domain: "Test"
    url-create-workflow: "https://mjpoceditique.fr/createExstreamDocument"
  quadient:
    basic-auth:
      username: "samuel"
      password: "RGr9Fht7rQzCQmp?5DoN"
      endpoint: "https://scalerquadient.mjpoceditique.fr/rest/api/submit-job/"